## celery-haystack 0.9

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/celery-haystack.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/celery-haystack.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/celery-haystack"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/celery-haystack"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	make -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/changelog ===
celery-haystack (0.9-1) unstable; urgency=low

  * Initial release (Closes: #795168).

 -- Michael Fladischer <fladi@debian.org>  Tue, 11 Aug 2015 12:49:37 +0200

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v([\d\.]+)\.tar\.gz/celery-haystack-$1.tar.gz/ \
https://github.com/django-haystack/celery-haystack/releases \
/django-haystack/celery-haystack/archive/v([\d\.]+)\.tar\.gz

## celery-haystack 0.10

=== debian/changelog ===
celery-haystack (0.10-4) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.

  [ Thomas Goirand ]
  * Team upload.
  * Removed Python 2 support.

 -- Thomas Goirand <zigo@debian.org>  Mon, 22 Jul 2019 03:18:10 +0200

celery-haystack (0.10-3) unstable; urgency=low

  [ Ondřej Nový ]
  * d/control: Remove ancient X-Python-Version field
  * d/control: Remove ancient X-Python3-Version field
  * d/control: Set Vcs-* to salsa.debian.org

  [ Michael Fladischer ]
  * Remove django-celery-transactions from Depends as it is no longer
    used (Closes: #902222).
  * Bump debhelper compatibility and version to 11.
  * Bump Standards-Version to 4.2.1.
  * Clean up celery_haystack.egg-info/PKG-INFO to allow two builds in a
    row.
  * Enable autopkgtest-pkg-python testsuite.

 -- Michael Fladischer <fladi@debian.org>  Fri, 28 Sep 2018 21:56:56 +0200

celery-haystack (0.10-2) unstable; urgency=low

  [ Ondřej Nový ]
  * Fixed VCS URL (https)
  * Refresh patches after git-dpm to gbp pq conversion

  [ Michael Fladischer ]
  * Run wrap-and-sort -bast to reduce diff size of future changes.
  * Depend on python(3)-django-appconf (Closes: #881070).
  * Add patch to remove unmaintained django-celery from test setup.
  * Use https:// for copyright-format 1.0 URL.
  * Bump Standards-Version to 4.1.1.
  * Remove django-celery and django-celery-transactions from Build-
    Depends as tests never really used them anyways.

 -- Michael Fladischer <fladi@debian.org>  Tue, 14 Nov 2017 09:50:32 +0100

celery-haystack (0.10-1) unstable; urgency=medium

  * New upstream release (Closes: #806343).

 -- Michael Fladischer <fladi@debian.org>  Sat, 02 Jan 2016 13:53:06 +0100

=== debian/control ===
Source: celery-haystack
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders:
 Michael Fladischer <fladi@debian.org>,
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 11),
 dh-python,
 python3-all,
 python3-celery,
 python3-d2to1,
 python3-django,
 python3-django-appconf,
 python3-django-haystack,
 python3-setuptools,
 python3-whoosh,
Standards-Version: 4.2.1
Vcs-Browser: https://salsa.debian.org/python-team/modules/celery-haystack
Vcs-Git: https://salsa.debian.org/python-team/modules/celery-haystack.git
Homepage: https://github.com/django-haystack/celery-haystack
Testsuite: autopkgtest-pkg-python

Package: python3-django-celery-haystack
Architecture: all
Depends:
 python3-django,
 python3-django-appconf,
 python3-django-haystack,
 ${misc:Depends},
 ${python3:Depends},
Description: utilize Celery for automatic haystack index updates (Python3 version)
 This Django app allows you to utilize Celery for automatically updating and
 deleting objects in a Haystack search index. It provides a SearchIndex
 subclass and a signal processor to trigger the updates.
 .
 This package contains the Python 3 version of the library.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_NAME=django-celery-haystack

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_test:
	PYBUILD_SYSTEM=custom PYBUILD_TEST_ARGS="PYTHONPATH=. HAYSTACK=v2 python3 /usr/bin/django-admin test --settings=celery_haystack.test_settings" dh_auto_test

override_dh_clean:
	rm -rf celery_haystack/tests/whoosh_index
	dh_clean

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/celery-haystack/celery-haystack-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
